List all Tasks for a Goal
get
/public/v1/goals/{goal}/tasksgoalstringrequiredThe goal UUID
sortstringSort the results. Prefix with '-' for descending. One of: start_time.
Example:-start_timepage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of TaskResource
dataobject[]required▶Show 8 child attributesHide child attributes
idstringrequiredExample:t1a2s3k4-b5c6-47d8-9e0f-1a2b3c4d5e6ftitlestringrequiredExample:Support Coordination MeetingcompletedbooleanrequiredExample:truebillablebooleanrequiredExample:truestart_timestringrequiredExample:2024-01-15T10:30:00+00:00durationintegerrequiredExample:60participantobject | nullrequired▶Show 2 child attributesHide child attributes
idstringrequiredExample:p1a2r3t4-c5d6-47e8-9f0a-1b2c3d4e5f6anamestringrequiredExample:John Doe
userobject | nullrequired▶Show 3 child attributesHide child attributes
idstringrequiredExample:u1s2e3r4-a5b6-47c8-9d0e-1f2a3b4c5d6enamestringrequiredExample:John DoeemailstringrequiredExample:john.doe@example.com
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found